Unpickling error invalid load key #126

Closed
geoplanet opened this Issue May 7, 2014 · 5 comments

Projects

None yet

2 participants

@geoplanet

I have a working Shareabouts instance using version 3.11.18.
I would like to try out the zoom-dependent markers in version 3.12.4(I downloaded the zip from the repository), but the application fails on initial load, with the following error:

UnpicklingError at /
invalid load key, '{'.
Exception location: local/lib/python2.7/site -packages/django/contrib/sessions/serializers.py in loads, line 17

Using runserver in a fresh virtualenv, with the revised requirements installed. AWS credentials are present in os.environ. But neither the default nor my custom flavor will load. This generic python error message doesn't lead me to a possible remedy :(
Are other configuration changes necessary to upgrade from 3.11.x to 3.12.x ?

Thanks for your time!!

@fkh
Member
fkh commented May 8, 2014

Are you able to run the latest version before copying your flavor over -- if you download and setup 3.12.4 without making any changes, does it run? I just downloaded the release and set it up, and everything looks ok for me.

In other words, I downloaded the zip, then from that folder,

virtualenv env
source env/bin/activate
pip install -r requirements
src/manage.py runserver

And the site loaded.

(By the way, please ask your next question over at community.openplans.org, which is the replacement for the Shareabouts google group.)

@geoplanet

Thanks Frank.
Yes, I did try to set-up right out-of-the-box, but with same error result. Same for v3.12.3 as well, so clearly I have a blind spot here. I will sanitize my env and re-install again. I appreciate you checking the release (again, I'm sure); helps to know that it does work as intended.

I started this quest from the community site, from there I followed the link to the latest release on Github. When the download didn't pan out, I checked the bug list, and chimed in. The community site didn't look like the place to post issues, with only three posts over the last year, and those being more along the lines of release announcements than community support. But community.openplans.org looks more inviting than GitHub, so I'll watch that space going forward. I'm sure I'll be able to come up with another question!

BTW, I am still unable to use my account (geoprism) at data.shareabouts.org. Once I login, the app returns with an Application Error message.
I set up the API on AWS instead so I could simulate the experience.

Again, thanks for your time Frank.

Jeff

On 2014-05-07, at 9:30 PM, Frank Hebbert notifications@github.com wrote:

Are you able to run the latest version before copying your flavor over -- if you download and setup 3.12.4 without making any changes, does it run? I just downloaded the release and set it up, and everything looks ok for me.

In other words, I downloaded the zip, then from that folder,

virtualenv env
source env/bin/activate
pip install -r requirements
src/manage.py runserver
And the site loaded.

(By the way, please ask your next question over at community.openplans.org, which is the replacement for the Shareabouts google group.)


Reply to this email directly or view it on GitHub.

@fkh
Member
fkh commented May 8, 2014

Ok, that's the issue -- you are not running the latest version of the API, which the updated client depends on.

On data.shareabouts.org, the manager interface is not letting you make datasets, but data storage will be fine. I'll send you a dataset key off-list, and you can try putting that into your updated client now. We also have a workaround for the manager interface that I will try for you today.

community.openplans.org is still very new, we only set it up last week. Thanks for the feedback, we will update the welcome messages to make it clear that it's the place to post bugs and other technical questions.

@geoplanet

Yay!
Easy peezy when using the hosted api. Up and running in a flash, as promised.
I \will watch for a manager interface workaround. And I can see there are updates today to the api source on Github :)

I'll post links on c.o.o when I have a fully flavoured version.

On 2014-05-08, at 5:12 AM, Frank Hebbert notifications@github.com wrote:

Ok, that's the issue -- you are not running the latest version of the API, which the updated client depends on.

On data.shareabouts.org, the manager interface is not letting you make datasets, but data storage will be fine. I'll send you a dataset key off-list, and you can try putting that into your updated client now. We also have a workaround for the manager interface that I will try for you today.

community.openplans.org is still very new, we only set it up last week. Thanks for the feedback, we will update the welcome messages to make it clear that it's the place to post bugs and other technical questions.


Reply to this email directly or view it on GitHub.

@geoplanet

Confirmed correct behaviour with latest Shareabout-API version

@geoplanet geoplanet closed this May 9, 2014
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment